> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/site-settings/mfa/details.md).

# Details

## Import Vendor details from file

> Read and return MFA Vendor details from an ini file.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/MFAVendor/Details":{"post":{"tags":["2-Site settings/Multi-factor Authentication/Vendors//0-Basic Operations"],"summary":"Import Vendor details from file","description":"Read and return MFA Vendor details from an ini file.","operationId":"ff9aebaa-1649-45e9-964f-6411ef3886f2","parameters":[{"name":"VendorFilePath","in":"query","description":"Vendor file path","schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"VendorFile":{"type":"string","description":"Vendor Details file to be uploaded.","format":"binary"}}},"encoding":{"VendorFile":{"style":"form"}}}}},"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MFAVendor"}}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"409":{"description":"Conflict","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"MFAVendor":{"type":"object","properties":{"id":{"type":"integer","description":"<para type=\"description\">Vendor Id.</para>","format":"int32"},"name":{"type":"string","description":"<para type=\"description\">Vendor Name.</para>","nullable":true},"vendorAttributes":{"type":"array","items":{"$ref":"#/components/schemas/MFAVendorAttributes"},"description":"<para type=\"description\">Vendor Attributes.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">The Vendors</para>\r\n<para type=\"description\"></para>"},"MFAVendorAttributes":{"type":"object","properties":{"id":{"type":"integer","description":"<para type=\"description\">Vendor Attribute Id.</para>","format":"int32"},"name":{"type":"string","description":"<para type=\"description\">Vendor Attribute Name.</para>","nullable":true},"type":{"$ref":"#/components/schemas/RadiusAttrType"}},"additionalProperties":false,"description":"<para type=\"synopsis\">The Vendor Attributes</para>\r\n<para type=\"description\"></para>"},"RadiusAttrType":{"enum":[["0 = Number","1 = String","2 = IP","3 = Time"]],"type":"string","description":"<para type=\"synopsis\">RADIUS attribute type</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/site-settings/mfa/details.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
